> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-transformations-list.md).

# workflows versions transformations list

## Synopsis

### List Workflow Transformations

```shell
omics alpha workbench workflows versions transformations list
  [--namespace=NAMESPACE]
  [--workflow=WORKFLOW_ID]
  [--version=VERSION_ID]
```

## Description

List all the workflow transformations for a given workflow version. This command fetches workflow transformations sequentially, printing them to the console.

## Examples

List workflow transformations for a given workflow version:

```shell
omics alpha workbench workflows versions transformations list --workflow my-workflow-id --version v1
```

## Flags:

### `--namespace`=`STRING`

An optional flag to define the namespace to connect to. By default, the namespace is extracted from the user's credentials.

### `--workflow`=`STRING`

The ID of the workflow for which the transformations will be listed.

### `--version`=`STRING`

The ID of the workflow version for which the transformations will be listed.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-transformations-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
